Bug 299651 - Unable to enter HEX WEP passphrase in dialog
Unable to enter HEX WEP passphrase in dialog
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F8Test3
  Show dependency treegraph
 
Reported: 2007-09-20 23:37 EDT by Jesse Keating
Modified: 2013-01-09 21:39 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-23 07:45:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2007-09-20 23:37:26 EDT
When connecting to my home network there are a couple issues.  The issue I'll
list here is that when I get a dialog box to enter the "password" for the
network, the OK box stays grayed out constantly.  I put in my HEX key and it
still stays gray, and no matter how many chars I put into the box it just stays
gray.
Comment 1 David Woodhouse 2007-09-21 09:21:55 EDT
Furthermore, hitting cancel seems to make it crash:

** Message: <info>  No keyring secrets found for Auto/802-11-wireless-security;
ask the user

process 13423: arguments to dbus_message_new_error() were incorrect, assertion
"_dbus_check_is_valid_error_name (error_name)" failed in file dbus-message.c
line 1207.
This is normally a bug in some application using the D-Bus library.
  D-Bus not built with -rdynamic so unable to print a backtrace


Comment 2 Jesse Keating 2007-09-23 07:45:29 EDT
I can now enter keys, however it doesn't really do the right thing with them. 
I'll consider this bug closed, I've filed another for the post-key process. 
David you might want to open a new bug on the crashing of cancel.
Comment 3 Adam Huffman 2007-09-23 16:00:01 EDT
Which version are you running that allows you to enter keys?  I have
NetworkManager-0.7.0-0.3.svn2852.fc8 and I'm still unable to do so.  (In my case
it's a WPA passphrase).
Comment 4 John Lee 2007-10-12 16:47:22 EDT
I installed Fedora 8 test3 on my vaio FZ190 notebook, found out that I can't 
activate the wlan0 wireless network.

Another problem is that when Firefox displays the fedora bugzilla page, the 
CPU is 100% used and basically I can't do anything with it.
Comment 5 Jesse Keating 2007-10-12 17:14:17 EDT
(In reply to comment #4)
> I installed Fedora 8 test3 on my vaio FZ190 notebook, found out that I can't 
> activate the wlan0 wireless network.

You'll have to provide a few more details than that in a new bug.  This bug was
about accepting certain types of keys, and it's been resolved.

> Another problem is that when Firefox displays the fedora bugzilla page, the 
> CPU is 100% used and basically I can't do anything with it.

This is yet another new bug that should be opened.


Note You need to log in before you can comment on or make changes to this bug.